Subject: Re: Bootstrapping Zig with no Binary Blobs

From: Efraim Flashner <[email-masked]>
Date: Mon, 11 Nov 2024 13:42:25 +0200

On Thu, Nov 07, 2024 at 09:19:23AM +0800, Hilton Chain wrote:
> Hi Ekaitz,
> 
> On Wed, 06 Nov 2024 05:47:48 +0800,
> Ekaitz Zarraga wrote:
> >
> > Hi,
> >
> > In order to include modern versions of Zig (Zig 0.12+) in Guix, we need to
> > remove the binary blobs.
> >
> > I open this issue to track this effort and store information about the process.
> >
> > Some Guix user is trying to achieve the same goal:
> >
> > https://git.jakstys.lt/motiejus/zig-repro
> >
> > And discussing about it here:
> >
> > https://ziggit.dev/t/building-self-hosted-from-the-original-c-implementation/6607/11
> 
> 
> Great news, thanks for sharing!
> 
> 
> > We could use that effort as a reference and package it to Guix.
> 
> 
> Excited to know Zig developers are willing to help with bootstrapping!  We
> shouldn't miss this chance :)
> 
> I'll look into replicating the current progress this weekend.  Anyone reading
> this mail wants to join in?

Ok, you've convinced me.  I guess I finally need to get [email-masked]
building correctly on riscv64.

Expect plenty of FIXUP and SQUASH commits in the future.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted